Subject: Re: [PATCH 0/2] gpg-interface: cleanup + convert low hanging fruit to configset API

From: Junio C Hamano <[email-masked]>
Date: Thu, 09 Feb 2023 13:27:03 -0800

Ævar Arnfjörð Bjarmason  <[email-masked]> writes:

> On Thu, Feb 09 2023, Jeff King wrote:
>
>> If the gpg code used git_config_get_string(), etc, then they could just
>> access each key on demand (efficiently, from an internal hash table),
>> which reduces the risk of "oops, we forgot to initialize the config
>> here". It does probably mean restructuring the code a little, though
>> (since you'd often have an accessor function to get "foo.bar" rather
>> than assuming "foo.bar" was parsed into an enum already, etc). That may
>> not be worth the effort (and risk of regression) to convert.
>
> I'd already played around with that a bit as part of reviewing Junio's
> change, this goes on top of that.

What's your intention of sending these?  I think we are already in
agreement that the churn may not be worth the risk, so if these are
"and here is the churn would look like, not for application", I
would understand it and appreciate it.  But did you mean that these
patches are for application?  I am not sure...

Thanks.